# This ensures that your program installs in $KDEDIR
# although you do not need this if $KDEDIR == /usr
# %define _prefix /usr

Summary:   KDE frontend for M.A.M.E. (http://x.mame.net/)
Name:      kmamerun
Version:   1.1.0
Release:   1
Copyright: GPL
Packager:  Jrgen Vigna <jug@lyx.org>
Group:     X11/KDE/Games
Source:    %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL:       http://kmamerun.sourceforge.net/
Requires:  kdelibs >= 3.0.0
Provides:  kmamerun
Prefix:	   /usr

%description
KDE frontend for M.A.M.E. (see http://x.mame.net)

%prep                                                                          
%setup

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%prefix install

%clean 
# rm -rf $RPM_BUILD_ROOT

%post
%postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%doc doc/en/kmamerun.tex doc/en/kmamerun.lyx doc/en/kmamerun.ps
%prefix/bin/kmamerun
%prefix/share/icons/hicolor/32x32/apps/kmamerun.xpm
%prefix/share/icons/hicolor/16x16/apps/kmamerun.xpm
%prefix/share/applnk/Applications/kmamerun.desktop
%prefix/share/doc/HTML/en/kmamerun/*
%prefix/share/apps/kmamerun/*

%changelog
