/***************************************************************************
                          kmamerunview.cpp  -  KDE frontend for M.A.M.E
                             -------------------
    begin                : Sun Jan 23 12:43:32 CET 2000
    copyright            : (C) 2000 by Jrgen Vigna
    email                : jug@sad.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// include files for Qt
#include <qprinter.h>
#include <qpainter.h>

// application specific includes
#include "kmamerunview.h"
#include "kmamerundoc.h"
#include "kmamerun.h"
#include "maindialog.h"

KMameRunView::KMameRunView(QWidget *parent, const char *name) : QWidget(parent, name)
{
    mdiag = new MainDialog(this);
    mdiag->show();
    setBackgroundMode(PaletteBase);
    setMinimumSize(mdiag->minimumSize().width(),
                   mdiag->minimumSize().height());
    setGeometry(x(), y(),mdiag->width(),mdiag->height());
}

KMameRunView::~KMameRunView()
{
}
